Skip to main content
GET
/
bankaccounts
/
{id}
Get a bank account
curl --request GET \
  --url https://api.smokeball.com/bankaccounts/{id} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/bankaccounts/{id}"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/bankaccounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "type": "Trust",
  "matter": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "accountType": 0,
  "accountName": "John Smith",
  "accountNumber": "10436489",
  "bankName": "Commonwealth Bank",
  "branchNumber": "062201",
  "branchName": "Sydney",
  "balance": 1000,
  "contactBalances": [
    {
      "matter": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "contact": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "balance": 1000,
      "protectedBalance": 1000,
      "availableBalance": 1000,
      "lastUpdated": "2023-11-07T05:31:56Z"
    }
  ],
  "matterBalances": [
    {
      "matter": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "balance": 1000,
      "protectedBalance": 1000,
      "availableBalance": 1000,
      "unpresentedChequesBalance": 0,
      "lastUpdated": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

id
string
required

Response

When request is successful. Returns a 'BankAccount' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the bank account.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

type
string

The type of the bank account (Operating, Trust, Credit, ControlledMoney).

Example:

"Trust"

status
enum<integer>

The status of the account (Open, Closed).

Available options:
0,
1
matter
object | null

The Matter associated to the account.

Applies to 'ControlledMoney' accounts only.

accountType
integer<int32>

The type of the bank account (Operating = 0, Trust = 1, Credit = 2, ControlledMoney = 3).

This field is deprecated and scheduled for removal - use the Type field instead.

Example:

0

accountName
string | null

Account Name.

Example:

"John Smith"

accountNumber
string | null

Account Number.

Example:

"10436489"

bankName
string | null

Bank Name.

Example:

"Commonwealth Bank"

branchNumber
string | null

Branch Number.

Example:

"062201"

branchName
string | null

Branch Name.

Example:

"Sydney"

balance
number<double>

Total balance of the bank account.

Example:

1000

contactBalances
object[] | null

List of contact balances.

If balances are stored by matter, not by contact, then there can be a contact balance with no contact id. In this case, MatterBalances are used instead.

Only supported in US.

matterBalances
object[] | null

List of matter balances.

A matter balance will be equal to the sum of all contact balances with the same MatterId.